Page MenuHomePhabricator

Enable AbuseFilter per-filter profiling on English Wikipedia & monitor if there is a performance impact
Closed, ResolvedPublic1 Story Points

Description

Based on the findings in T177641: Enable AbuseFilter per-filter profiling on Portuguese Wikipedia & monitor if there is a performance impact (specifically in comment T177641#3713701) we found no noticeable performance impact for 75p but a potential bump for 99p.

This ticket is to re-enable the per-filter profiling and monitoring (in the same way as monitored and evaluated for PTWP) if there is a performance impact. If there is no impact, we will leave the profiling enabled. If there is a noticeable impact (exact amount TBD, pending discussion) then the profiling will be disabled again.

Event Timeline

TBolliger moved this task from Untriaged to Cards ready for development on the Anti-Harassment board.

Left as a 1 story point because the PTWP ticket was also a 1.

dmaza claimed this task.Nov 8 2017, 8:12 PM

Change 390153 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[operations/mediawiki-config@master] Enable per-filter profiling on enwiki

https://gerrit.wikimedia.org/r/390153

Change 390153 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable per-filter profiling on enwiki

https://gerrit.wikimedia.org/r/390153

Mentioned in SAL (#wikimedia-operations) [2017-11-13T19:18:40Z] <thcipriani@tin> Synchronized wmf-config/abusefilter.php: SWAT: [[gerrit:390153|Enable per-filter profiling on enwiki]] T179323 (duration: 00m 45s)

I'll take this task and calculate it how I calculated T177641

I exported data from Grafana:

I calculated the average for 48 hours before and after 2017-11-11 at 11:15. The data is in milliseconds:

BeforeAfterDifference% Change
99th percentile241.03250.47+9.443.92%
75th percentile43.0544.83+1.784.13%

This is very similar to the results from PTWP (T177641#3713701) so I don't believe there is any need to revert at this time. In brief, there appears to be a minimal decrease in performance after the release of the per-filter profiling, but as it is 1.78MS for 75p and 9.44MS for 99p, I feel it is probably an acceptable change.

I think we're good to leave it enabled for now, and I can re-calculate this data next Monday after a full week of data, to account if there are any weekend fluctuations. Thoughts, anyone?

TBolliger added a comment.EditedNov 21 2017, 12:40 AM

From this Grafana data:

I calculated (spreadsheet) the average for 7 days before and after 2017-11-11 at 11:15. The data is in milliseconds:

BeforeAfterDifference% Change
99th percentile238.71239.911.200.50%
75th percentile43.7645.631.874.27%

Seeing that 75% of edits are only seeing an additional 0.00187 second delay, I think it's safe to state there is not noteworthy performance increase in re-enabling this profiling, I think we can move forward with T177017: Re-enable per-filter profiling on wikis where it was disabled and an on-wiki discussion about T176895: Surface slow filters and total condition count directly on Special:AbuseFilter